Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Flash player on Firefox?

  1. #1
    Join Date
    Aug 2011
    Location
    Manchester, England
    Posts
    46

    Default Flash player on Firefox?

    Folks,

    Does Flash with Firefox wotk on Open Suse? I downloaded the RPM from the Adobe web site, the package manager said it installed it, I rebooted Firefox, but it still says it's not installed.

    With Mandrake/Mandriva/Mageia which I've always used in the past it just worked once I'd downloaded and installed the rpm. Is there something else I have to do or does suse just not support Flash from Adobe?

    Thanks!

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Flash player on Firefox?

    You don't need to download it
    It's available in the official repos
    If your system is fully updated since install, it should be already installed
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Mar 2009
    Location
    United States
    Posts
    612

    Default Re: Flash player on Firefox?

    You can install flash from the non-oss repository. I assure you it works. Remove the flash rpm you installed and try:

    Code:
    su -
    zypper in flash-player

  4. #4
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,349

    Default Re: Flash player on Firefox?

    Quote Originally Posted by nightwishfan View Post
    You can install flash from the non-oss repository. I assure you it works. Remove the flash rpm you installed and try:

    Code:
    su -
    zypper in flash-player

    I followed the above instruction, but still get "The Adobe Flash Player is required for video playback. Get the latest Flash Player" when on Youtube. I followed the link and sure enough the version they want me to download is the one already installed. So I double checked with...

    HTML Code:
    # zypper up
    Loading repository data...
    Reading installed packages...
    
    The following package updates will NOT be installed:
      gstreamer gstreamer-0_10 gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugins-base 
      gstreamer-0_10-plugins-good gstreamer-plugins-base k3b libgstapp-0_10-0 libgstapp-0_10-0-32bit 
      libgstapp-1_0-0 libgstaudio-1_0-0 libgstinterfaces-0_10-0 libgstpbutils-1_0-0 
      libgstreamer-0_10-0 libgstreamer-0_10-0-32bit libgstreamer-1_0-0 libgstriff-1_0-0 
      libgsttag-1_0-0 libgstvideo-1_0-0 libmjpegutils-2_0-0 libquicktime0 libsox2 libstrigi0 libxine2 
      libxine2-pulse mjpegtools sox strigi 
    
    Nothing to do.
    
    # zypper in flash-player
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Nothing to do.
    
    # zypper if flash-player                                                           
    Loading repository data...                                                                          
    Reading installed packages...                                                                       
                                                                                                        
                                                                                                        
    Information for package flash-player:                                                               
                                                                                                        
    Repository: openSUSE-12.3-Update-Non-Oss                                                            
    Name: flash-player                                                                                  
    Version: 11.2.202.275-2.12.1                                                                        
    Arch: i586                                                                                          
    Vendor: openSUSE                                                                                    
    Installed: Yes                                                                                      
    Status: up-to-date                                                                                  
    Installed Size: 31.4 MiB                                                                            
    Summary: Adobe Flash Plugin and Standalone Player                                                   
    Description:                                                                                        
    This package contains Adobe's Flash Plugin for the supported Web                                    
    browsers in addition to a standalone flash player application.
    
    Any suggestions?

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,796
    Blog Entries
    15

    Default Re: Flash player on Firefox?

    On Wed 20 Mar 2013 03:46:01 AM CDT, ionmich wrote:


    nightwishfan;2524317 Wrote:
    > You can install flash from the non-oss repository. I assure you it
    > works. Remove the flash rpm you installed and try:
    >
    > >

    Code:
    --------------------
    > > su -

    > zypper in flash-player

    --------------------
    > >



    I followed the above instruction, but still get "The Adobe Flash Player
    is required for video playback. Get the latest Flash Player" when on
    Youtube. I followed the link and sure enough the version they want me to
    download is the one already installed. So I double checked with...


    # zypper up
    Loading repository data...
    Reading installed packages...

    The following package updates will NOT be installed:
    gstreamer gstreamer-0_10 gstreamer-0_10-plugin-gnomevfs
    gstreamer-0_10-plugins-base
    gstreamer-0_10-plugins-good gstreamer-plugins-base k3b
    libgstapp-0_10-0 libgstapp-0_10-0-32bit
    libgstapp-1_0-0 libgstaudio-1_0-0 libgstinterfaces-0_10-0
    libgstpbutils-1_0-0
    libgstreamer-0_10-0 libgstreamer-0_10-0-32bit libgstreamer-1_0-0
    libgstriff-1_0-0
    libgsttag-1_0-0 libgstvideo-1_0-0 libmjpegutils-2_0-0 libquicktime0
    libsox2 libstrigi0 libxine2
    libxine2-pulse mjpegtools sox strigi

    Nothing to do.

    # zypper in flash-player
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...

    Nothing to do.

    # zypper if flash-player

    Loading repository data...

    Reading installed packages...





    Information for package flash-player:



    Repository: openSUSE-12.3-Update-Non-Oss

    Name: flash-player

    Version: 11.2.202.275-2.12.1

    Arch: i586

    Vendor: openSUSE

    Installed: Yes

    Status: up-to-date

    Installed Size: 31.4 MiB

    Summary: Adobe Flash Plugin and Standalone Player

    Description:

    This package contains Adobe's Flash Plugin for the supported Web

    browsers in addition to a standalone flash player application.




    Any suggestions?


    Hi
    Since it's youtube, switch to html5?
    http://www.youtube.com/html5

    Click on the link down the bottom to join the trial....

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 2 days 7:28, 5 users, load average: 0.00, 0.10, 0.15
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile


  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Flash player on Firefox?

    Try installing Google Chrome
    You have to download it, then just click to install it. Be careful you get the correct file
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    13,161
    Blog Entries
    3

    Default Re: Flash player on Firefox?

    Quote Originally Posted by ionmich View Post
    Any suggestions?
    It is working for me.

    Are you using "noscript" with firefox? If you are, then by default it blocks flash from sites where you are not allowing scripting. I that case, I click the "temporarily allow scripting" for the flash source site, and then it usually works.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  8. #8
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,349

    Default Re: Flash player on Firefox?

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Since it's youtube, switch to html5?
    YouTube

    Click on the link down the bottom to join the trial....

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 2 days 7:28, 5 users, load average: 0.00, 0.10, 0.15
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile
    That made no difference.

  9. #9
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,349

    Default Re: Flash player on Firefox?

    Quote Originally Posted by caf4926 View Post
    Try installing Google Chrome
    You have to download it, then just click to install it. Be careful you get the correct file
    So far this is the only solution, much as I dislike Google. Thanks for getting me a quick fix.

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Flash player on Firefox?

    Quote Originally Posted by ionmich View Post
    So far this is the only solution, much as I dislike Google. Thanks for getting me a quick fix.
    I should say though, I have no trouble with Firefox, chromium, opera, konqueror...
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •